Up

# NSScrollView

### Authors

Ovidiu Predescu (`ovidiu@net-community.com`)
Felipe A. Rodriguez (`far@ix.netcom.com`)
Richard Frith-Macdonald (`richard@brainstorm.co.uk`)

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSScrollView class

## NSScrollView : NSView

> Declared in:
>   AppKit/NSScrollView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +contentSizeForFrameSize:hasHorizontalScroller:hasVerticalScroller:borderType:
- +frameSizeForContentSize:hasHorizontalScroller:hasVerticalScroller:borderType:
- +rulerViewClass
- +setRulerViewClass:
- -backgroundColor
- -borderType
- -contentSize
- -contentView
- -documentCursor
- -documentView
- -documentVisibleRect
- -drawsBackground
- -hasHorizontalRuler
- -hasHorizontalScroller
- -hasVerticalRuler
- -hasVerticalScroller
- -horizontalLineScroll
- -horizontalPageScroll
- -horizontalRulerView
- -horizontalScroller
- -lineScroll
- -pageScroll
- -reflectScrolledClipView:
- -rulersVisible
- -scrollsDynamically
- -setBackgroundColor:
- -setBorderType:
- -setContentView:
- -setDocumentCursor:
- -setDocumentView:
- -setDrawsBackground:
- -setHasHorizontalRuler:
- -setHasHorizontalScroller:
- -setHasVerticalRuler:
- -setHasVerticalScroller:
- -setHorizontalLineScroll:
- -setHorizontalPageScroll:
- -setHorizontalRulerView:
- -setHorizontalScroller:
- -setLineScroll:
- -setPageScroll:
- -setRulersVisible:
- -setScrollsDynamically:
- -setVerticalLineScroll:
- -setVerticalPageScroll:
- -setVerticalRulerView:
- -setVerticalScroller:
- -tile
- -verticalLineScroll
- -verticalPageScroll
- -verticalRulerView
- -verticalScroller

### contentSizeForFrameSize:hasHorizontalScroller:hasVerticalScroller:borderType:

+ (NSSize) contentSizeForFrameSize: (NSSize)frameSize hasHorizontalScroller: (BOOL)hFlag hasVerticalScroller: (BOOL)vFlag borderType: (NSBorderType)borderType;

Description forthcoming.

### frameSizeForContentSize:hasHorizontalScroller:hasVerticalScroller:borderType:

+ (NSSize) frameSizeForContentSize: (NSSize)contentSize hasHorizontalScroller: (BOOL)hFlag hasVerticalScroller: (BOOL)vFlag borderType: (NSBorderType)borderType;

Description forthcoming.

### rulerViewClass

+ (Class) rulerViewClass;

Description forthcoming.

### setRulerViewClass:

+ (void) setRulerViewClass: (Class)aClass;

Description forthcoming.

### backgroundColor

- (NSColor*) backgroundColor;

Description forthcoming.

### borderType

- (NSBorderType) borderType;

Description forthcoming.

### contentSize

- (NSSize) contentSize;

Description forthcoming.

### contentView

- (NSClipView*) contentView;

Description forthcoming.

### documentCursor

- (NSCursor*) documentCursor;

Description forthcoming.

### documentView

- (id) documentView;

Description forthcoming.

### documentVisibleRect

- (NSRect) documentVisibleRect;

Description forthcoming.

### drawsBackground

- (BOOL) drawsBackground;

Description forthcoming.

### hasHorizontalRuler

- (BOOL) hasHorizontalRuler;

Description forthcoming.

### hasHorizontalScroller

- (BOOL) hasHorizontalScroller;

Description forthcoming.

### hasVerticalRuler

- (BOOL) hasVerticalRuler;

Description forthcoming.

### hasVerticalScroller

- (BOOL) hasVerticalScroller;

Description forthcoming.

### horizontalLineScroll

- (float) horizontalLineScroll;

Description forthcoming.

### horizontalPageScroll

- (float) horizontalPageScroll;

Description forthcoming.

### horizontalRulerView

- (NSRulerView*) horizontalRulerView;

Description forthcoming.

### horizontalScroller

- (NSScroller*) horizontalScroller;

Description forthcoming.

### lineScroll

- (float) lineScroll;

Description forthcoming.

### pageScroll

- (float) pageScroll;

Description forthcoming.

### reflectScrolledClipView:

- (void) reflectScrolledClipView: (NSClipView*)aClipView;

Description forthcoming.

### rulersVisible

- (BOOL) rulersVisible;

Description forthcoming.

### scrollsDynamically

- (BOOL) scrollsDynamically;

Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;

Description forthcoming.

### setBorderType:

- (void) setBorderType: (NSBorderType)borderType;

Description forthcoming.

### setContentView:

- (void) setContentView: (NSClipView*)aView;

Description forthcoming.

### setDocumentCursor:

- (void) setDocumentCursor: (NSCursor*)aCursor;

Description forthcoming.

### setDocumentView:

- (void) setDocumentView: (NSView*)aView;

Description forthcoming.

### setDrawsBackground:

- (void) setDrawsBackground: (BOOL)flag;

Description forthcoming.

### setHasHorizontalRuler:

- (void) setHasHorizontalRuler: (BOOL)flag;

Description forthcoming.

### setHasHorizontalScroller:

- (void) setHasHorizontalScroller: (BOOL)flag;

Description forthcoming.

### setHasVerticalRuler:

- (void) setHasVerticalRuler: (BOOL)flag;

Description forthcoming.

### setHasVerticalScroller:

- (void) setHasVerticalScroller: (BOOL)flag;

Description forthcoming.

### setHorizontalLineScroll:

- (void) setHorizontalLineScroll: (float)aFloat;

Description forthcoming.

### setHorizontalPageScroll:

- (void) setHorizontalPageScroll: (float)aFloat;

Description forthcoming.

### setHorizontalRulerView:

- (void) setHorizontalRulerView: (NSRulerView*)aRulerView;

Description forthcoming.

### setHorizontalScroller:

- (void) setHorizontalScroller: (NSScroller*)aScroller;

Description forthcoming.

### setLineScroll:

- (void) setLineScroll: (float)aFloat;

Description forthcoming.

### setPageScroll:

- (void) setPageScroll: (float)aFloat;

Description forthcoming.

### setRulersVisible:

- (void) setRulersVisible: (BOOL)flag;

Description forthcoming.

### setScrollsDynamically:

- (void) setScrollsDynamically: (BOOL)flag;

Description forthcoming.

### setVerticalLineScroll:

- (void) setVerticalLineScroll: (float)aFloat;

Description forthcoming.

### setVerticalPageScroll:

- (void) setVerticalPageScroll: (float)aFloat;

Description forthcoming.

### setVerticalRulerView:

- (void) setVerticalRulerView: (NSRulerView*)aRulerView;

Description forthcoming.

### setVerticalScroller:

- (void) setVerticalScroller: (NSScroller*)aScroller;

Description forthcoming.

### tile

- (void) tile;

Description forthcoming.

### verticalLineScroll

- (float) verticalLineScroll;

Description forthcoming.

### verticalPageScroll

- (float) verticalPageScroll;

Description forthcoming.

### verticalRulerView

- (NSRulerView*) verticalRulerView;

Description forthcoming.

### verticalScroller

- (NSScroller*) verticalScroller;

Description forthcoming.

Up